%define major 1
%define gir_major 1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gir_major}
%define develname %mklibname %{name} -d

Summary:	Color daemon
Name:		colord
Version:	0.1.23
Release:	1
License:	GPLv2+ and LGPLv2+
Group:		System/X11
URL:		http://www.freedesktop.org/software/colord/
Source0:	http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
BuildRequires:	docbook-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	sane-devel
BuildRequires:	vala-tools
BuildRequires:	gtk-doc

Requires(pre,postun):	rpm-helper
Requires:	shared-color-profiles
Requires:	systemd-units

%description
colord is a low level system activated daemon that maps color devices
to color profiles in the system context.

%package -n %{libname}
Summary:	Library package for %{name}
Group:		System/Libraries

%description -n %{libname}
Main library for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Development package for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{EVRD}

%description -n %{develname}
Files for development with %{name}.

%prep
%setup -q

%build
%configure \
	--with-daemon-user=colord \
	--with-systemdsystemunitdir=%{_systemunitdir} \
	--disable-static \
	--disable-rpath \
	--disable-examples \
	--disable-dependency-tracking

%make

%install
%makeinstall_std

# Remove static libs and libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# databases
touch %{buildroot}%{_localstatedir}/lib/colord/mapping.db
touch %{buildroot}%{_localstatedir}/lib/colord/storage.db

%find_lang %{name}

%pre
%_pre_useradd colord /var/lib/colord /sbin/nologin
%_pre_groupadd colord colord

%postun
%_postun_userdel colord
%_postun_groupdel colord

%files -f %{name}.lang
%doc README AUTHORS NEWS
%config %{_sysconfdir}/colord.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.colord-sane.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ColorManager.conf
/lib/udev/rules.d/*.rules
%{_bindir}/*
%{_libdir}/colord
%{_libdir}/colord-sane
%{_libdir}/colord-sensors
%dir %{_datadir}/color/icc/colord
%{_datadir}/color/icc/colord/*.ic?
%{_datadir}/dbus-1/interfaces/org.freedesktop.colord.sane.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.ColorManager*.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.colord-sane.service
%{_datadir}/dbus-1/system-services/org.freedesktop.ColorManager.service
%{_datadir}/polkit-1/actions/org.freedesktop.color.policy
%{_datadir}/man/man1/*.1.*
%attr(755,colord,colord) %dir %{_localstatedir}/lib/colord
%attr(755,colord,colord) %dir %{_localstatedir}/lib/colord/icc
%ghost %{_localstatedir}/lib/colord/*.db
%{_sysconfdir}/bash_completion.d/*-completion.bash
%{_systemunitdir}/*.service

%files -n %{libname}
%{_libdir}/libcolord.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Colord-%{gir_major}.typelib

%files -n %{develname}
%{_includedir}/colord-1
%{_libdir}/libcolord.so
%{_libdir}/pkgconfig/colord.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi



%changelog
* Tue Sep 25 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 0.1.23-1
+ Revision: 817536
- update to 0.1.23

* Thu May 24 2012 Guilherme Moro <guilherme@mandriva.com> 0.1.21-1
+ Revision: 800475
- updated to version 0.1.21
  changed daemon user
  added service file for systemd

* Thu Apr 26 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.1.19-1
+ Revision: 793660
- new version 0.1.19

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.1.18

* Sun Feb 26 2012 Andrey Bondrov <abondrov@mandriva.org> 0.1.17-1
+ Revision: 780851
- New version 0.1.17

* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com> 0.1.15-2
+ Revision: 772945
- relink against libpcre.so.1

  + Dmitry Mikhirev <dmikhirev@mandriva.org>
    - fixed BR sqlite3

* Sun Nov 27 2011 Matthew Dawkins <mattydaw@mandriva.org> 0.1.15-1
+ Revision: 734204
- new version 0.1.15
- split out gir pkg
- removed defattr
- cleaned up spec
- converted BRs to pkgconfig provides
- remove mkrel & BuildRoot

* Wed Nov 09 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.1.14-1
+ Revision: 729504
- import colord

